## org.ascape.model.space
Class CollectionSpace.CSIterator

    java.lang.Object
      org.ascape.model.space.CollectionSpace.CSIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator, ResetableIterator

Direct Known Subclasses:
  CollectionSpace.CSMutableIterator, CollectionSpace.ListRandomIterator, CollectionSpace.SubIterator

Enclosing class:
  CollectionSpace

    protected class CollectionSpace.CSIterator

extends java.lang.Object
implements ResetableIterator, java.io.Serializable

The Class CSIterator.

See Also:
  Serialized Form

Field Summary
`protected java.util.List` `copy` The copy.
`protected java.util.ListIterator` `copyIterator` The copy iterator.

Constructor Summary
`CollectionSpace.CSIterator()` Instantiates a new CS iterator.

Method Summary
`void` `first()`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copy

    protected java.util.List copy

  The copy.

### copyIterator

    protected transient java.util.ListIterator copyIterator

  The copy iterator.

Constructor Detail

### CollectionSpace.CSIterator

    public CollectionSpace.CSIterator()

  Instantiates a new CS iterator.

Method Detail

### first

    public void first()

  Specified by:
    `first` in interface `ResetableIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`